## nvidia-cuda-toolkit 4.0.17

=== debian/changelog ===
nvidia-cuda-toolkit (4.0.17-3) unstable; urgency=low

  [ Russ Allbery ]
  * Add DM-Upload-Allowed: yes to debian/control.

  [ Andreas Beckmann ]
  * Add compatibility symlink for thrust because nvcc refuses kernels from
    system include directories.  (Closes: #644844)
  * Add a README entry how to install the GPU Computing SDK (code examples).
  * Update lintian overrides.

 -- Andreas Beckmann <debian@abeckmann.de>  Mon, 10 Oct 2011 20:56:23 +0200

nvidia-cuda-toolkit (4.0.17-2) unstable; urgency=low

  * Upload to unstable.
  * Add XS-Autobuild: yes to debian/control.  See instructions in #602838.
  * Add Depends: libthrust-dev. Thrust has been packaged separately in contrib
    as it is available under the Apache-2.0 license.
  * nvidia-opencl-dev now Provides: opencl-dev.
  * Drop lintian-overrides for shlib-calls-exit (no longer emitted in 2.5.1).
  * Enable multiarch build.
    - Add and use #LIBDIR# substitution.
    - Add misc:Pre-Depends and Multi-Arch: same.
    - Add conflicts with biarch libraries.
    - Use compat level 9.
  * Set Maintainer to Debian NVIDIA Maintainers and move myself to Uploaders.
  * Add Russ Allbery to Uploaders.

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 25 Jun 2011 18:20:19 +0200

nvidia-cuda-toolkit (4.0.17-1) experimental; urgency=low

  * New upstream release 4.0.
  * Upload to experimental.
  * Detect license changes by comparing debian/copyright with upstream
    EULA.txt during build.
  * Refresh debian/copyright from the updated EULA.txt in 4.0.
  * Switch to arch tagged overrides (lintian 2.5.0).
  * Add dependency on gcc-4.4/g++-4.4, add gcc/g++ compatibility symlinks.
    The CUDA toolkit does not work with 4.5 or newer compilers.

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 27 May 2011 15:00:56 +0200

nvidia-cuda-toolkit (4.0.13-1) experimental; urgency=low

  * New upstream release candidate 4.0 RC2.
    - The OpenCL API 1.1 is now implemented.
  * Upload to experimental.
  * Upstream has bumped the SOVERSION from 3 to 4, rename the packages
    accordingly.
  * Update install lists and symbols files.
  * Add lintian-overrides for shlib-calls-exit.
  * Add packages libnpp4 and lib32npp4 for the NVIDIA Performance Primitives
    library.
  * Allow libopencl1 as an alternative to nvidia-libopencl1.
  * Add Breaks: nvidia-libopencl1 (<< 195.36.31-90) because the older version
    from squeeze doesn't contain the libOpenCL.so symlink.

 -- Andreas Beckmann <debian@abeckmann.de>  Sun, 15 May 2011 18:12:01 -0700

nvidia-cuda-toolkit (3.2.16-2) unstable; urgency=low

  * Upload to unstable.
  * Use dpkg-parsechangelog to extract the upstream version number from
    debian/changelog, simplifying debian/rules.defs even more.
  * Generate watch file in the clean target.  The watch file is now limited to
    updates to the current release as NVIDIA no longer provides a page
    redirecting to the current release.
  * Switch to Standards-Version: 3.9.2 (no changes needed).

 -- Andreas Beckmann <debian@abeckmann.de>  Tue, 26 Apr 2011 18:56:41 -0700

nvidia-cuda-toolkit (3.2.16-1) experimental; urgency=low

  * New upstream release 3.2.
  * Upload to experimental.
  * Upstream no longer ships the manual pages.
  * Create new packages libcusparse3 and libcurand3 (and their 32-bit
    variants) for the libraries added by NVIDIA.
  * Update symbols files and install lists.
  * Update lintian overrides.
  * Switch to source format 3.0 (quilt).

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 20 Nov 2010 19:20:46 -0800

nvidia-cuda-toolkit (3.1-1) experimental; urgency=low

  * New upstream release 3.1.
  * Initial release.  (Closes: #581184)
  * Upload to experimental.

 -- Andreas Beckmann <debian@abeckmann.de>  Mon, 11 Oct 2010 15:15:18 +0200
