=== debian/control ===
Source: nvidia-cuda-toolkit
Section: non-free/libs
Priority: extra
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <debian@abeckmann.de>,
 Russ Allbery <rra@debian.org>,
DM-Upload-Allowed: yes
Build-Depends:
 debhelper (>= 8.1.3),
 libc6-i386 (>= 2.9-18) [amd64],
 lib32stdc++6 [amd64],
 libqt4-assistant,
 libqt4-xml,
 libqtgui4,
 libcuda1,
Standards-Version: 3.9.2
Homepage: http://www.nvidia.com/CUDA
Vcs-Svn: svn://svn.debian.org/pkg-nvidia/packages/nvidia-cuda-toolkit/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-cuda-toolkit/
XS-Autobuild: yes

Package: nvidia-cuda-toolkit
Section: non-free/devel
Architecture: i386 amd64
Depends:
 nvidia-cuda-dev (= ${binary:Version}),
 nvidia-opencl-dev (= ${binary:Version}),
 gcc-4.4, g++-4.4,
 ${shlibs:Depends}, ${misc:Depends},
Recommends:
 nvidia-cuda-doc (= ${source:Version}),
 nvidia-cuda-gdb (= ${binary:Version}),
 nvidia-compute-profiler (= ${binary:Version}),
Description: NVIDIA CUDA toolkit
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the nvcc compiler etc.

Package: nvidia-cuda-doc
Section: non-free/doc
Architecture: all
Depends: ${misc:Depends}
Description: NVIDIA CUDA and OpenCL documentation
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package contains the developer documentation.

Package: nvidia-cuda-gdb
Section: non-free/devel
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-cuda-doc (= ${source:Version})
Conflicts: nvidia-cuda-debugger
Replaces: nvidia-cuda-debugger
Description: NVIDIA CUDA GDB
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the cuda-gdb debugger.

Package: nvidia-compute-profiler
Section: non-free/devel
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-cuda-doc (= ${source:Version}),
Conflicts: nvidia-cuda-profiler, nvidia-opencl-profiler
Replaces: nvidia-cuda-profiler, nvidia-opencl-profiler
Description: NVIDIA Compute Visual Profiler
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the Compute Visual Profiler.

Package: nvidia-cuda-dev
Section: non-free/libdevel
Architecture: i386 amd64
Depends:
 libcudart4 (= ${binary:Version}),
 libcublas4 (= ${binary:Version}),
 libcufft4 (= ${binary:Version}),
 libcusparse4 (= ${binary:Version}),
 libcurand4 (= ${binary:Version}),
 libnpp4 (= ${binary:Version}),
 libthrust-dev,
 ${misc:Depends}
Recommends:
 libcuda1,
 libgl1-mesa-dev | libgl-dev,
 libvdpau-dev,
Description: NVIDIA CUDA development files
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the development files: headers and libraries.

Package: nvidia-opencl-dev
Section: non-free/libdevel
Architecture: i386 amd64
Depends:
 nvidia-libopencl1 | libopencl1,
 opencl-headers (>> 1.1),
 ${misc:Depends}
Recommends:
 libgl1-mesa-dev | libgl-dev,
Provides:
 opencl-dev,
Breaks:
 nvidia-libopencl1 (<< 195.36.31-90)
Description: NVIDIA OpenCL development files
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This metapackage provides the development files: headers and libraries.

Package: libcudart4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libcuda1 (>= ${nvidia:MinVersion})
Conflicts: lib32cudart4 [i386]
Description: NVIDIA CUDA runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the runtime library.

Package: lib32cudart4
Architecture: amd64
Pre-Depends: libc6-i386 (>= 2.9-18)
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libcuda1-ia32 (>= ${nvidia:MinVersion})
Description: NVIDIA CUDA runtime library (32-bit)
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the runtime library (32-bit).

Package: libcublas4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: lib32cublas4 [i386]
Description: NVIDIA CUDA BLAS runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA BLAS runtime library.

Package: lib32cublas4
Architecture: amd64
Pre-Depends: libc6-i386 (>= 2.9-18)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA CUDA BLAS runtime library (32-bit)
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA BLAS runtime library (32-bit).

Package: libcufft4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: lib32cufft4 [i386]
Description: NVIDIA CUDA FFT runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA FFT runtime library.

Package: lib32cufft4
Architecture: amd64
Pre-Depends: libc6-i386 (>= 2.9-18)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA CUDA FFT runtime library (32-bit)
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA FFT runtime library (32-bit).

Package: libcusparse4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: lib32cusparse4 [i386]
Description: NVIDIA CUDA Sparse Matrix runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA Sparse Matrix runtime library.

Package: lib32cusparse4
Architecture: amd64
Pre-Depends: libc6-i386 (>= 2.9-18)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA CUDA Sparse Matrix runtime library (32-bit)
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA Sparse Matrix runtime library (32-bit).

Package: libcurand4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: lib32curand4 [i386]
Description: NVIDIA CUDA Random Numbers Generation runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA Random Numbers Generation runtime library.

Package: lib32curand4
Architecture: amd64
Pre-Depends: libc6-i386 (>= 2.9-18)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA CUDA Random Numbers Generation runtime library (32-bit)
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA Random Numbers Generation runtime library
 (32-bit).

Package: libnpp4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: lib32npp4 [i386]
Homepage: http://developer.nvidia.com/npp
Description: NVIDIA Performance Primitives runtime library
 NVIDIA NPP is a library of functions for performing CUDA accelerated
 processing.  The initial set offunctionality in the library focuses on imaging
 and video processing and is widely applicable for developers in these areas.
 NPP will evolve over time to encompass more of the compute heavy tasks in a
 variety of problem domains.  The NPP library is written to maximize
 flexibility, while maintaining high performance.
 .
 This package contains the NVIDIA Performance Primitives runtime library.

Package: lib32npp4
Architecture: amd64
Pre-Depends: libc6-i386 (>= 2.9-18)
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://developer.nvidia.com/npp
Description: NVIDIA Performance Primitives runtime library (32-bit)
 NVIDIA NPP is a library of functions for performing CUDA accelerated
 processing.  The initial set offunctionality in the library focuses on imaging
 and video processing and is widely applicable for developers in these areas.
 NPP will evolve over time to encompass more of the compute heavy tasks in a
 variety of problem domains.  The NPP library is written to maximize
 flexibility, while maintaining high performance.
 .
 This package contains the NVIDIA Performance Primitives runtime library
 (32-bit).
