=== debian/watch ===
# http://developer.nvidia.com/object/cuda_download.html - download page forward without version number no longer exists
# http://developer.nvidia.com/cuda-toolkit-30-downloads
# ==> http://www.nvidia.com/object/thankyou.html?url=/compute/cuda/3_0/toolkit/cudatoolkit_3.0_linux_32_ubuntu9.04.run
# ==> http://www.nvidia.com/object/thankyou.html?url=/compute/cuda/3_0/toolkit/cudatoolkit_3.0_linux_64_ubuntu9.04.run

version=3
opts=downloadurlmangle=s/www\.nvidia\.com.*url=/developer.download.nvidia.com/ \
 http://developer.nvidia.com/cuda-toolkit-40 .*/cudatoolkit_(.*)_linux_32_ubuntu(?:.*).run
opts=downloadurlmangle=s/www\.nvidia\.com.*url=/developer.download.nvidia.com/ \
 http://developer.nvidia.com/cuda-toolkit-40 .*/cudatoolkit_(.*)_linux_64_ubuntu(?:.*).run

# source code for nvopencc and cuda-gdb is available here:
# ftp://download.nvidia.com/CUDAOpen64/
