## nvidia-cuda-toolkit 4.2.9

=== debian/changelog ===
nvidia-cuda-toolkit (4.2.9-2) unstable; urgency=low

  * nvcc.profile: Enable the 'LIBRARIES =+ -lcudart' setting to not deviate
    from upstream behavior.  (Closes: #697730)

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 10 Jan 2013 01:19:06 +0100

nvidia-cuda-toolkit (4.2.9-1) unstable; urgency=low

  * New upstream release 4.2 (April 2012).
  * New download URL: http://developer.nvidia.com/cuda-downloads
  * Update symbols files.
  * debian/copyright: Update NVIDIA license.
  * The toolkit now supports GCC 4.6 (but nothing newer).  Add g++-4.6 and
    gcc-4.6 as preferred alternative dependencies.

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 11 May 2012 10:32:07 +0200

nvidia-cuda-toolkit (4.1.28-2) unstable; urgency=low

  * nvidia-visual-profiler: Add dependency on libcuinj4. (Closes: #665931)
  * Move libcuinj.so to libcuinj4 as this gets dlopen()ed.
  * Switch to Standards-Version: 3.9.3 (no changes needed).
  * Use the final copyright-format/1.0 URL.
  * Drop biarch lib32* packages, there were no users of these packages.
    Multi-arch is the way to go.

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 12 Apr 2012 21:09:27 +0200

nvidia-cuda-toolkit (4.1.28-1) unstable; urgency=low

  * New upstream release 4.1 (January 2012).
  * Upload to unstable.
  * Update symbols files.
  * Ship cicc and ci_include.h in the nvidia-cuda-toolkit package.  GPUs
    pre-dating the Fermi architecture still need the pre-LLVM compiler.
    Thanks to Tomasz Rybak for testing this.
  * Do not compress examples.
  * The toolkit now supports GCC 4.5 (but nothing newer).  Add g++-4.5 and
    gcc-4.5 as preferred alternative dependencies.
  * nvidia-cuda-toolkit: Add wrapper scripts (used internally by nvcc) for
    gcc/g++ that execute the newest of gcc-4.5/g++-4.5 or gcc-4.4/g++-4.4,
    even if /usr/bin/gcc and /usr/bin/g++ point to a newer version.
  * nvidia-visual-profiler: Ship the copy of Eclipse 3.6 that was included in
    the upstream archive.  I can't get nvvp working properly with the Debian
    Eclipse 3.7.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 22 Feb 2012 15:10:50 +0100

nvidia-cuda-toolkit (4.1.21-1) experimental; urgency=low

  * New upstream release candidate 4.1 RC2.
  * Upload to experimental.
  * Rename package nvidia-compute-profiler to nvidia-visual-profiler, this is
    now a cross-platform application based on eclipse.
  * libcuinj4: New package for the INJ library.
  * libcupti{4,-dev,-doc}: New packages for the NVIDIA CUDA Profiler Tools
    Interface (CUPTI).
  * Update install lists and symbols files.
  * debian/copyright: Update to dep5.mdwn?revision=202.  Add LLVM license.
  * Bump debhelper dependency to 9.

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 16 Feb 2012 17:08:36 +0100
