=== debian/control ===
Source: nvidia-cuda-toolkit
Section: non-free/libs
Priority: extra
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <debian@abeckmann.de>,
 Russ Allbery <rra@debian.org>,
DM-Upload-Allowed: yes
Build-Depends:
 debhelper (>= 9),
 libqt4-assistant,
 libqt4-xml,
 libqtgui4,
 libcuda1,
Standards-Version: 3.9.3
Homepage: http://www.nvidia.com/CUDA
Vcs-Svn: svn://svn.debian.org/pkg-nvidia/packages/nvidia-cuda-toolkit/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-cuda-toolkit/
XS-Autobuild: yes

Package: nvidia-cuda-toolkit
Section: non-free/devel
Architecture: i386 amd64
Depends:
 nvidia-cuda-dev (= ${binary:Version}),
 nvidia-opencl-dev (= ${binary:Version}),
 gcc-4.6 | gcc-4.5 | gcc-4.4, g++-4.6 | g++-4.5 | g++-4.4,
 ${shlibs:Depends}, ${misc:Depends},
Recommends:
 nvidia-cuda-doc (= ${source:Version}),
 nvidia-cuda-gdb (= ${binary:Version}),
 nvidia-visual-profiler (= ${binary:Version}),
Suggests:
 libcupti-dev,
Description: NVIDIA CUDA toolkit
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the nvcc compiler etc.

Package: nvidia-cuda-doc
Section: non-free/doc
Architecture: all
Depends: ${misc:Depends}
Description: NVIDIA CUDA and OpenCL documentation
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package contains the developer documentation.

Package: nvidia-cuda-gdb
Section: non-free/devel
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-cuda-doc (= ${source:Version})
Conflicts: nvidia-cuda-debugger
Replaces: nvidia-cuda-debugger
Description: NVIDIA CUDA GDB
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the cuda-gdb debugger.

Package: nvidia-visual-profiler
Section: non-free/devel
Architecture: i386 amd64
Depends:
# eclipse-platform,
# eclipse-gef,
 default-jre | java6-runtime,
 libgtk2.0-0,
 libcuinj4,
 ${perl:Depends},
 ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-cuda-doc (= ${source:Version}),
Conflicts:
 nvidia-cuda-profiler,
 nvidia-opencl-profiler,
 nvidia-compute-profiler,
Replaces:
 nvidia-cuda-profiler,
 nvidia-opencl-profiler,
 nvidia-compute-profiler,
Homepage: http://developer.nvidia.com/nvidia-visual-profiler
Description: NVIDIA Visual Profiler
 The NVIDIA Visual Profiler is a cross-platform performance profiling tool
 that delivers developers vital feedback for optimizing CUDA C/C++ and OpenCL
 applications.

Package: nvidia-cuda-dev
Section: non-free/libdevel
Architecture: i386 amd64
Depends:
 libcudart4 (= ${binary:Version}),
 libcublas4 (= ${binary:Version}),
 libcufft4 (= ${binary:Version}),
 libcusparse4 (= ${binary:Version}),
 libcurand4 (= ${binary:Version}),
 libnpp4 (= ${binary:Version}),
 libcuinj4 (= ${binary:Version}),
 libthrust-dev,
 ${misc:Depends}
Recommends:
 libcuda1,
 libgl1-mesa-dev | libgl-dev,
 libvdpau-dev,
Description: NVIDIA CUDA development files
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the development files: headers and libraries.

Package: nvidia-opencl-dev
Section: non-free/libdevel
Architecture: i386 amd64
Depends:
 nvidia-libopencl1 | libopencl1,
 opencl-headers (>= 1.1),
 ${misc:Depends}
Recommends:
 libgl1-mesa-dev | libgl-dev,
Provides:
 opencl-dev,
Breaks:
 nvidia-libopencl1 (<< 195.36.31-90)
Description: NVIDIA OpenCL development files
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This metapackage provides the development files: headers and libraries.

Package: libcudart4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libcuda1 (>= ${nvidia:MinVersion})
Conflicts: lib32cudart4
Description: NVIDIA CUDA runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the runtime library.

Package: libcublas4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: lib32cublas4
Description: NVIDIA CUDA BLAS runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA BLAS runtime library.

Package: libcufft4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: lib32cufft4
Description: NVIDIA CUDA FFT runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA FFT runtime library.

Package: libcusparse4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: lib32cusparse4
Description: NVIDIA CUDA Sparse Matrix runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA Sparse Matrix runtime library.

Package: libcurand4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: lib32curand4
Description: NVIDIA CUDA Random Numbers Generation runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA Random Numbers Generation runtime library.

Package: libnpp4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: lib32npp4
Homepage: http://developer.nvidia.com/npp
Description: NVIDIA Performance Primitives runtime library
 NVIDIA NPP is a library of functions for performing CUDA accelerated
 processing.  The initial set offunctionality in the library focuses on imaging
 and video processing and is widely applicable for developers in these areas.
 NPP will evolve over time to encompass more of the compute heavy tasks in a
 variety of problem domains.  The NPP library is written to maximize
 flexibility, while maintaining high performance.
 .
 This package contains the NVIDIA Performance Primitives runtime library.

Package: libcuinj4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: nvidia-cuda-dev (<< 4.1.28-2~)
Breaks: nvidia-cuda-dev (<< 4.1.28-2~)
Description: NVIDIA CUDA INJ runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA INJ runtime library.

Package: libcupti4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://developer.nvidia.com/cuda-profiling-tools-interface
Description: NVIDIA CUDA Profiler Tools Interface runtime library
 The CUDA Profiler Tools Interface (CUPTI) enables the creation of
 profiling and tracing tools that target CUDA applications.  CUPTI
 provides a set of APIs targeted at ISVs creating profilers and other
 performance optimization tools. The CUPTI APIs are not intended to be
 used by developers in their CUDA applications.
 .
 This package contains the runtime library.

Package: libcupti-dev
Section: non-free/libdevel
Architecture: i386 amd64
Multi-Arch: same
Depends: libcupti4 (= ${binary:Version}), ${misc:Depends}
Recommends: libcupti-doc
Homepage: http://developer.nvidia.com/cuda-profiling-tools-interface
Description: NVIDIA CUDA Profiler Tools Interface development files
 The CUDA Profiler Tools Interface (CUPTI) enables the creation of
 profiling and tracing tools that target CUDA applications.  CUPTI
 provides a set of APIs targeted at ISVs creating profilers and other
 performance optimization tools. The CUPTI APIs are not intended to be
 used by developers in their CUDA applications.
 .
 This package contains the development files: headers and libraries.

Package: libcupti-doc
Section: non-free/doc
Architecture: all
Depends: ${misc:Depends}
Homepage: http://developer.nvidia.com/cuda-profiling-tools-interface
Description: NVIDIA CUDA Profiler Tools Interface documentation
 The CUDA Profiler Tools Interface (CUPTI) enables the creation of
 profiling and tracing tools that target CUDA applications.  CUPTI
 provides a set of APIs targeted at ISVs creating profilers and other
 performance optimization tools. The CUPTI APIs are not intended to be
 used by developers in their CUDA applications.
 .
 This package contains the documentation and examples.
