=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 include debian/rules.defs
-CUDA_VERSION_TOOLKIT	:= $(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2 | cut -d- -f 1)
+CUDA_VERSION_TOOLKIT	:= $(shell dpkg-parsechangelog | sed -nr '/^Version:/s/Version: (.*:)?(.*)-(.*)/\2/p')
 CUDA_VERSION_MAJOR	?= $(word 1,$(subst ., ,$(CUDA_VERSION_TOOLKIT)))
 CUDA_VERSION_MINOR	?= $(word 2,$(subst ., ,$(CUDA_VERSION_TOOLKIT)))
 MULTIARCH		?=
@@ -23,8 +23,6 @@
 
 TEMPLATES	:= $(wildcard debian/*.in)
 AUTOGEN         += $(patsubst %.in,%,$(TEMPLATES))
-AUTOGEN		+= $(foreach lib,cudart cublas cufft cusparse curand npp,\
-		   debian/lib32$(lib)4.lintian-overrides)
 AUTOKEEP	 = debian/watch
 AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))
 
@@ -43,6 +41,10 @@
 	# fixup lib{,32,64} directory layout
 	mv nvidia-cuda-amd64/lib nvidia-cuda-amd64/lib32
 	mv nvidia-cuda-amd64/lib64 nvidia-cuda-amd64/lib
+	mv nvidia-cuda-amd64/extras/CUPTI/lib nvidia-cuda-amd64/extras/CUPTI/lib32
+	mv nvidia-cuda-amd64/extras/CUPTI/lib64 nvidia-cuda-amd64/extras/CUPTI/lib
+	# fixup permissions
+	chmod -x nvidia-cuda-*/nvvm/*.h
 	touch $@
 
 # Reformat the EULA to the format needed for debian/copyright.
@@ -51,7 +53,7 @@
 	cat $<  | fromdos | fromdos | expand \
 		| iconv -f CP1255 -t latin1//TRANSLIT \
 		| fold -s -w 76 \
-		| sed -r ':a; /(MacOS|dylib) *$$/N; s/\n//; ta' \
+		| sed -r ':a; /(MacOS|dylib) +$$/N; s/\n//; ta' \
 		| sed -e 's/ *$$//;s/^$$/./;s/^/ /;' \
 		> $@
 
@@ -70,10 +72,6 @@
 
 override_dh_auto_configure: $(AUTOGEN) unpack-stamp
 
-override_dh_auto_build:
-	chmod +x debian/nvcc
-	chmod +x debian/nvopencc
-
 override_dh_auto_install:
 	mkdir debian/tmp
 	cp -al nvidia-cuda-$(DEB_HOST_ARCH) debian/tmp/usr
@@ -81,12 +79,11 @@
 #override_dh_install:
 #	dh_install --list-missing
 
-override_dh_installchangelogs:
-	dh_installchangelogs
-	dh_installchangelogs -p nvidia-compute-profiler debian/tmp/usr/computeprof/doc/Changelog.txt
-
 # running dh_strip is not permitted by the NVIDIA license
 override_dh_strip:
+
+override_dh_compress:
+	dh_compress -X.c -X.h -Xindex.hh
 
 override_dh_gencontrol:
 	dh_gencontrol -- -V'nvidia:MinVersion=$(version_driver)'
@@ -109,9 +106,7 @@
 	-e 's{#LIBDIR#}{$(libdir)}g;' \
 	< $< > $@
 
-debian/lib32%.lintian-overrides: debian/lib%.lintian-overrides
-	sed -r -e '/^\[amd64\]: /d; s/^\[i386\]: //; s%usr/lib%usr/lib32%g' $< > $@
-
+############################################################################
 
 .PHONY: get-orig-source
 get-orig-source:
