=== debian/watch ===
--- 
+++ 
@@ -5,9 +5,9 @@
 
 version=3
 opts=downloadurlmangle=s/www\.nvidia\.com.*url=/developer.download.nvidia.com/ \
- http://developer.nvidia.com/cuda-toolkit-40 .*/cudatoolkit_(.*)_linux_32_ubuntu(?:.*).run
+ http://developer.nvidia.com/cuda-downloads .*/cudatoolkit_(.*)_linux_32_ubuntu(?:.*).run
 opts=downloadurlmangle=s/www\.nvidia\.com.*url=/developer.download.nvidia.com/ \
- http://developer.nvidia.com/cuda-toolkit-40 .*/cudatoolkit_(.*)_linux_64_ubuntu(?:.*).run
+ http://developer.nvidia.com/cuda-downloads .*/cudatoolkit_(.*)_linux_64_ubuntu(?:.*).run
 
 # source code for nvopencc and cuda-gdb is available here:
 # ftp://download.nvidia.com/CUDAOpen64/
